TRACE(3)

NAME
TRACE - Debugging helper macro to trace messages. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void TRACE(char *msg, ...);

DESCRIPTION
Debugging helper macro. Normally compiles away to nothing, but if you defined the preprocessor symbol DEBUGMODE before including Allegro headers, it passes the supplied message given in ASCII format to al_trace(). Example:
   #define DEBUGMODE
   #include
   ...
   void my_blitter(BITMAP *source, int flags)
   {
      static int count_call = 0;
      TRACE("my_blitter() called %d times.\n", count_call++);
      ...
   }

SEE ALSO
al_trace(3), ASSERT(3), register_trace_handler(3)